## goda 0.5.7

=== debian/changelog ===
goda (0.5.7-1) unstable; urgency=medium

  * Initial release (Closes: #1067684)

 -- Anthony Fok <foka@debian.org>  Mon, 25 Mar 2024 10:16:57 -0600
