=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	# golang.org/x/tools/go/vcs v0.1.0-deprecated
	ln -s $(CURDIR)/debian/go/src \
	    _build/src/github.com/loov/goda/vendor

override_dh_auto_install:
	dh_auto_install -- --no-source
